Delete DNS Zone
POST /enum.api.v1.DnsService/DeleteZone
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Responses
Section titled “ Responses ”OK
object
invalid_argument: a field is missing or invalid.
Messages:
validation error: <field>: <reason>
failed_precondition: the zone is protected.
Messages:
zone is deletion protected; unprotect it before deleting
object
Error code, such as invalid_argument or not_found.
Human-readable error message.
unauthenticated: the token is missing, invalid, or expired.
Messages:
missing authorization headerinvalid authorization header formatauthentication failed
object
Error code, such as invalid_argument or not_found.
Human-readable error message.
permission_denied: the token has no access to this project or method.
Messages:
not authorized
object
Error code, such as invalid_argument or not_found.
Human-readable error message.
not_found: the resource does not exist.
Messages:
resource not found
object
Error code, such as invalid_argument or not_found.
Human-readable error message.
resource_exhausted: the token’s rate limit is reached.
Messages:
rate limit exceeded: wait for the number of seconds inRetry-After.
object
Error code, such as invalid_argument or not_found.
Human-readable error message.
internal: something failed on our side.
Messages:
internal error
object
Error code, such as invalid_argument or not_found.
Human-readable error message.